Update a sweep config
Update settings on a sweep config.
To access this endpoint using an access token
you'll need to specify the /accounts/{accountID}/wallets.write scope.
PATCH
/accounts/{accountID}/sweep-configs/{sweepConfigID}
curl -X PATCH "https://api.moov.io/accounts/{accountID}/sweep-configs/{sweepConfigID}" \
-H "Authorization: Bearer {token}" \
-H "x-moov-version: v2024.01.00" \
--data-raw '{
"statementDescriptor": "string",
"minimumBalance": "150.00"
}'\
mc, _ := moov.NewClient()
var accountID string
var sweepConfigID string
sweepConfig, _ := mc.GetSweepConfig(ctx, accountID, sweepConfigID)
statementDesc := "my-sweep"
mc.UpdateSweepConfig(ctx, moov.UpdateSweepConfig{
AccountID: "string",
SweepConfigID: sweepConfig.SweepConfigID,
StatementDescriptor: &statementDesc,
})
package hello.world;
import io.moov.sdk.Moov;
import io.moov.sdk.models.components.*;
import io.moov.sdk.models.errors.GenericError;
import io.moov.sdk.models.errors.PatchSweepConfigError;
import io.moov.sdk.models.operations.UpdateSweepConfigResponse;
import java.lang.Exception;
public class Application {
public static void main(String[] args) throws GenericError, PatchSweepConfigError, Exception {
Moov sdk = Moov.builder()
.xMoovVersion("v2024.01.00")
.security(Security.builder()
.username("")
.password("")
.build())
.build();
UpdateSweepConfigResponse res = sdk.sweeps().updateConfig()
.accountID("c16d0264-3e93-4d13-b8d8-6e8e98122631")
.sweepConfigID("f7943244-882b-4a3a-837a-a58418358399")
.patchSweepConfig(PatchSweepConfig.builder()
.status(Status.DISABLED)
.build())
.call();
if (res.sweepConfig().isPresent()) {
// handle response
}
}
}using Moov.Sdk;
using Moov.Sdk.Models.Components;
var sdk = new MoovClient(xMoovVersion: "<value>");
var res = await sdk.Sweeps.UpdateConfigAsync(
accountID: "c16d0264-3e93-4d13-b8d8-6e8e98122631",
sweepConfigID: "f7943244-882b-4a3a-837a-a58418358399",
body: new PatchSweepConfig() {
Status = Status.Disabled,
}
);
// handle responserequire 'moov_ruby'
Models = ::Moov::Models
s = ::Moov::Client.new(
x_moov_version: 'v2024.01.00',
)
res = s.sweeps.update_config(account_id: 'c16d0264-3e93-4d13-b8d8-6e8e98122631', sweep_config_id: 'f7943244-882b-4a3a-837a-a58418358399', patch_sweep_config: Models::Components::PatchSweepConfig.new(
status: Models::Components::Status::DISABLED,
))
unless res.sweep_config.nil?
# handle response
endimport { Moov } from "@moovio/sdk";
const moov = new Moov({
xMoovVersion: "v2024.01.00",
security: {
username: "",
password: "",
},
});
async function run() {
const result = await moov.sweeps.updateConfig({
accountID: "c16d0264-3e93-4d13-b8d8-6e8e98122631",
sweepConfigID: "f7943244-882b-4a3a-837a-a58418358399",
patchSweepConfig: {
status: "disabled",
},
});
console.log(result);
}
run();declare(strict_types=1);
require 'vendor/autoload.php';
use Moov\MoovPhp;
use Moov\MoovPhp\Models\Components;
$sdk = MoovPhp\Moov::builder()
->setXMoovVersion('v2024.01.00')
->setSecurity(
new Components\Security(
username: '',
password: '',
)
)
->build();
$patchSweepConfig = new Components\PatchSweepConfig(
status: Components\Status::Disabled,
);
$response = $sdk->sweeps->updateConfig(
accountID: 'c16d0264-3e93-4d13-b8d8-6e8e98122631',
sweepConfigID: 'f7943244-882b-4a3a-837a-a58418358399',
patchSweepConfig: $patchSweepConfig
);
if ($response->sweepConfig !== null) {
// handle response
}from moovio_sdk import Moov
from moovio_sdk.models import components
with Moov(
x_moov_version="v2024.01.00",
security=components.Security(
username="",
password="",
),
) as moov:
res = moov.sweeps.update_config(account_id="c16d0264-3e93-4d13-b8d8-6e8e98122631", sweep_config_id="f7943244-882b-4a3a-837a-a58418358399", status=components.Status.DISABLED)
# Handle response
print(res)The request completed successfully.
{
"sweepConfigID": "string",
"walletID": "string",
"status": "enabled",
"pushPaymentMethod": {
"paymentMethodID": "string",
"disabledOn": "2019-08-24T14:15:22Z"
},
"pullPaymentMethod": {
"paymentMethodID": "string",
"disabledOn": "2019-08-24T14:15:22Z"
},
"minimumBalance": "string",
"statementDescriptor": "string",
"lockedFields": [
"string"
],
"createdOn": "2019-08-24T14:15:22Z",
"updatedOn": "2019-08-24T14:15:22Z"
}Response headers
x-request-id
string
required
A unique identifier used to trace requests.
The server could not understand the request due to invalid syntax.
{
"error": "string"
}Response headers
x-request-id
string
required
A unique identifier used to trace requests.
The request contained missing or expired authentication.
Response headers
x-request-id
string
required
A unique identifier used to trace requests.
The user is not authorized to make the request.
Response headers
x-request-id
string
required
A unique identifier used to trace requests.
The requested resource was not found.
Response headers
x-request-id
string
required
A unique identifier used to trace requests.
The request conflicted with the current state of the target resource.
{
"error": "string"
}Response headers
x-request-id
string
required
A unique identifier used to trace requests.
The request was well-formed, but the contents failed validation. Check the request for missing or invalid fields.
{
"status": "string",
"pushPaymentMethodID": "string",
"pullPaymentMethodID": "string",
"statementDescriptor": "string",
"minimumBalance": "string"
}Response headers
x-request-id
string
required
A unique identifier used to trace requests.
Request was refused due to rate limiting.
Response headers
x-request-id
string
required
A unique identifier used to trace requests.
The request failed due to an unexpected error.
Response headers
x-request-id
string
required
A unique identifier used to trace requests.
The request failed because a downstream service failed to respond.
Response headers
x-request-id
string
required
A unique identifier used to trace requests.
Headers
X-Moov-Version
string
Specify an API version.
API versioning follows the format vYYYY.QQ.BB, where
YYYYis the yearQQis the two-digit month for the first month of the quarter (e.g., 01, 04, 07, 10)BBis the build number, starting at.01, for subsequent builds in the same quarter.- For example,
v2024.01.00is the initial release of the first quarter of 2024.
- For example,
The dev version represents the most recent development state. It may include breaking changes and should be treated as a beta release.
When no version is specified, the API defaults to v2024.01.00.
Path parameters
accountID
string
required
sweepConfigID
string
required
Body
application/json
minimumBalance
string
| null
Pattern
pullPaymentMethodID
string
| null
ID of the payment method.
pushPaymentMethodID
string
| null
ID of the payment method.
statementDescriptor
string
| null
The text that appears on the banking statement. The default descriptor is a 10 character ID if an override is not set in the sweep configs statementDescriptor.
status
string
Possible values:
enabled,
disabled
Response
createdOn
string<date-time>
required
pullPaymentMethod
object
required
The payment method used to push or pull funds to a bank account.
The push payment method can only be ach-credit-standard, ach-credit-same-day, or rtp-credit. The pull payment method can only be ach-debit-fund.
Show child attributes
pushPaymentMethod
object
required
The payment method used to push or pull funds to a bank account.
The push payment method can only be ach-credit-standard, ach-credit-same-day, or rtp-credit. The pull payment method can only be ach-debit-fund.
Show child attributes
paymentMethodID
string
required
ID of the payment method.
disabledOn
string<date-time>
status
string<enum>
required
Possible values:
enabled,
disabled
sweepConfigID
string
required
updatedOn
string<date-time>
required
walletID
string
required
lockedFields
array<string>
An array of fields that are locked. To request updates, please contact Moov support.
minimumBalance
string
Pattern
An optional field to specify an amount to maintain in the wallet. This is a decimal-formatted numerical string that represents up to 2 decimal place precision. In USD for example, 12.34 is $12.34 and 0.99 is $0.99. If not supplied, the default is 0.00.
statementDescriptor
string
[4 to 10] characters
The text that appears on the banking statement. The default descriptor is a 10 character ID if an override is not set in the sweep configs statementDescriptor.